[Midnightbsd-cvs] src [9900] U trunk/sys/tools: update scripts
laffer1 at midnightbsd.org
laffer1 at midnightbsd.org
Thu May 24 18:37:44 EDT 2018
Revision: 9900
http://svnweb.midnightbsd.org/src/?rev=9900
Author: laffer1
Date: 2018-05-24 18:37:43 -0400 (Thu, 24 May 2018)
Log Message:
-----------
update scripts
Modified Paths:
--------------
trunk/sys/tools/makeobjops.awk
trunk/sys/tools/pccarddevs2h.awk
Added Paths:
-----------
trunk/sys/tools/fdt/make_dtb.sh
Property Changed:
----------------
trunk/sys/tools/fdt/embed_dtb.sh
trunk/sys/tools/fdt/make_dtbh.sh
trunk/sys/tools/makeobjops.awk
trunk/sys/tools/pccarddevs2h.awk
Index: trunk/sys/tools/fdt/embed_dtb.sh
===================================================================
--- trunk/sys/tools/fdt/embed_dtb.sh 2018-05-24 22:36:18 UTC (rev 9899)
+++ trunk/sys/tools/fdt/embed_dtb.sh 2018-05-24 22:37:43 UTC (rev 9900)
Property changes on: trunk/sys/tools/fdt/embed_dtb.sh
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Added: trunk/sys/tools/fdt/make_dtb.sh
===================================================================
--- trunk/sys/tools/fdt/make_dtb.sh (rev 0)
+++ trunk/sys/tools/fdt/make_dtb.sh 2018-05-24 22:37:43 UTC (rev 9900)
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# $FreeBSD: stable/10/sys/tools/fdt/make_dtb.sh 273715 2014-10-27 00:47:55Z ian $
+# $MidnightBSD$
+
+# Script generates dtb file ($3) from dts source ($2) in build tree S ($1)
+S=$1
+dts="$2"
+dtb_path=$3
+
+if [ -z "$dts" ]; then
+ echo "No DTS specified"
+ exit 1
+fi
+
+if [ -z "${MACHINE}" ]; then
+ MACHINE=$(uname -m)
+fi
+
+for d in ${dts}; do
+ dtb=${dtb_path}/`basename $d .dts`.dtb
+ echo "converting $d -> $dtb"
+ cpp -P -x assembler-with-cpp -I $S/gnu/dts/include -I $S/boot/fdt/dts/${MACHINE} -I $S/gnu/dts/${MACHINE} -include $d /dev/null |
+ dtc -O dtb -o $dtb -b 0 -p 1024 -i $S/boot/fdt/dts/${MACHINE} -i $S/gnu/dts/${MACHINE}
+done
Property changes on: trunk/sys/tools/fdt/make_dtb.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: trunk/sys/tools/fdt/make_dtbh.sh
===================================================================
--- trunk/sys/tools/fdt/make_dtbh.sh 2018-05-24 22:36:18 UTC (rev 9899)
+++ trunk/sys/tools/fdt/make_dtbh.sh 2018-05-24 22:37:43 UTC (rev 9900)
Property changes on: trunk/sys/tools/fdt/make_dtbh.sh
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Modified: trunk/sys/tools/makeobjops.awk
===================================================================
--- trunk/sys/tools/makeobjops.awk 2018-05-24 22:36:18 UTC (rev 9899)
+++ trunk/sys/tools/makeobjops.awk 2018-05-24 22:37:43 UTC (rev 9900)
@@ -34,8 +34,8 @@
# From src/sys/kern/makedevops.pl,v 1.12 1999/11/22 14:40:04 n_hibma Exp
# From src/sys/kern/makeobjops.pl,v 1.8 2001/11/16 02:02:42 joe Exp
#
-# $FreeBSD: src/sys/tools/makeobjops.awk,v 1.6 2005/01/07 02:29:25 imp Exp $
-# $MidnightBSD: src/sys/tools/makeobjops.awk,v 1.2 2012/03/28 23:22:17 laffer1 Exp $
+# $FreeBSD: stable/10/sys/tools/makeobjops.awk 227385 2011-11-09 13:26:59Z ed $
+# $MidnightBSD$
#
# Script to produce kobj front-end sugar.
@@ -308,12 +308,8 @@
line_width, length(prototype)));
# Print out the method desc
- printc("struct kobj_method " mname "_method_default = {");
- printc("\t&" mname "_desc, (kobjop_t) " default_function);
- printc("};\n");
-
printc("struct kobjop_desc " mname "_desc = {");
- printc("\t0, &" mname "_method_default");
+ printc("\t0, { &" mname "_desc, (kobjop_t)" default_function " }");
printc("};\n");
# Print out the method itself
Property changes on: trunk/sys/tools/makeobjops.awk
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Modified: trunk/sys/tools/pccarddevs2h.awk
===================================================================
--- trunk/sys/tools/pccarddevs2h.awk 2018-05-24 22:36:18 UTC (rev 9899)
+++ trunk/sys/tools/pccarddevs2h.awk 2018-05-24 22:37:43 UTC (rev 9900)
@@ -1,6 +1,7 @@
#! /usr/bin/awk -f
# $NetBSD: devlist2h.awk,v 1.3 1998/09/05 14:42:06 christos Exp $
-# $FreeBSD$
+# $FreeBSD: stable/10/sys/tools/pccarddevs2h.awk 263687 2014-03-24 13:48:04Z emaste $
+# $MidnightBSD$
#-
# Copyright (c) 1998 The NetBSD Foundation, Inc.
@@ -17,13 +18,6 @@
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
-# 3. All advertising materials mentioning features or use of this software
-# must display the following acknowledgement:
-# This product includes software developed by the NetBSD
-# Foundation, Inc. and its contributors.
-# 4. Neither the name of The NetBSD Foundation nor the names of its
-# contributors may be used to endorse or promote products derived
-# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
Property changes on: trunk/sys/tools/pccarddevs2h.awk
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
More information about the Midnightbsd-cvs
mailing list